#!/bin/bash
FQDN_LOCATION="/var/tmp/FQDN"
OLD_FQDN=""
if [ -e $FQDN_LOCATION ] ; then
    OLD_FQDN=`sudo cat $FQDN_LOCATION`
fi
NEW_FQDN=$(ec2metadata --public-hostname)

# update hostname
sudo hostname $NEW_FQDN
sudo su -c "echo $NEW_FQDN > /etc/hostname"

# don't run on first boot
if [ -e $FQDN_LOCATION ] ; then
    # update the middleware config
    sudo -u root bash -c 'sed -i "s/\(.*submit_server = \"\)'$OLD_FQDN'\(.*\)/\1'$NEW_FQDN'\2/g" /etc/mw-service/mw-service.conf'
    sudo -u root bash -c 'sed -i "s/\(.*hub_url = \".*\/\/\)'$OLD_FQDN'\(.*\)/\1'$NEW_FQDN'\2/g" /etc/mw-client/mw-client.conf'
fi

# write it down
echo $NEW_FQDN > $FQDN_LOCATION
