#!/bin/sh

GABBSSECRETS="/etc/gabbs.secrets"
HUBCONF="/etc/hubzero.conf"

GABBSPASSWD=$(awk -F "=" '/GABBSPASSWD/ {print $2}' $GABBSSECRETS)
GABBSUSER=$(awk -F "=" '/GABBSUSER/ {print $2}' $GABBSSECRETS)
DOCROOT=$(awk -F " = " '/documentroot/ {print $2}' $HUBCONF)
MIGPATH=$DOCROOT'/app/migrations'

#update plugin config to reflect new iRODS host
/usr/bin/configure-plugins.sh $1 $GABBSUSER $GABBSPASSWD

#commit plugin config changes
(cd $MIGPATH; ../../muse migration -if --force -e=plg_filesystem_irods --file=Migration20160819000005PlgFilesystemIrods.php)

#update web user's iRODS connection settings
/usr/bin/update-irods-connection.sh $1 $GABBSUSER

#restart iRODS FUSE mount
service irods-fuse stop
service irods-fuse start

